## grendel.storage.mdb
Interface nsIMdbObject

All Known Subinterfaces:
  nsIMdbCollection, nsIMdbCursor, nsIMdbEnv, nsIMdbFactory, nsIMdbPort, nsIMdbRow, nsIMdbStore, nsIMdbTable, nsIMdbTableRowCursor

public abstract interface nsIMdbObject

nsIMdbObject: base class for all message db class interfaces factory: all nsIMdbObjects from the same code suite have the same factory refcounting: both strong and weak references, to ensure strong refs are acyclic, while weak refs can cause cycles. CloseMdbObject() is called when (strong) use counts hit zero, but clients can call this close method early for some reason, if absolutely necessary even though it will thwart the other uses of the same object. Note that implementations must cope with close methods being called arbitrary numbers of times. The COM calls to AddRef() and release ref map directly to strong use ref calls, but the total ref count for COM objects is the sum of weak & strong refs.

Method Summary
`int` | `CloseMdbObject(nsIMdbEnv ev)`
`nsIMdbFactory` | `GetMdbFactory(nsIMdbEnv ev)`
`boolean` | `IsFrozenMdbObject(nsIMdbEnv ev)`
`boolean` | `IsOpenMdbObject(nsIMdbEnv ev)`

Method Detail

### IsFrozenMdbObject

    public boolean IsFrozenMdbObject(nsIMdbEnv ev)

### GetMdbFactory

    public nsIMdbFactory GetMdbFactory(nsIMdbEnv ev)

### CloseMdbObject

    public int CloseMdbObject(nsIMdbEnv ev)

### IsOpenMdbObject

    public boolean IsOpenMdbObject(nsIMdbEnv ev)